package com.jeeplus.modules.sg.managementcenter.materialinfo.entity;

import com.jeeplus.core.persistence.DataEntity;

public class MaterialInfo extends DataEntity<MaterialInfo> {
    private String projectName;            //项目名称
    private String materialCode;           //物料编码
    private String materialName;         //物料名称
    private String extendDescription;    //扩展描述
    private String unit;              //单位
    private Integer totalCount;      //总量
    private Double weightKg;        //单重/kg
    private Double weightTon;      //总重/吨
    private String supplyType;   //甲乙供
    private String note;      //备注


    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getExtendDescription() {
        return extendDescription;
    }

    public void setExtendDescription(String extendDescription) {
        this.extendDescription = extendDescription;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Double getWeightKg() {
        return weightKg;
    }

    public void setWeightKg(Double weightKg) {
        this.weightKg = weightKg;
    }

    public Double getWeightTon() {
        return weightTon;
    }

    public void setWeightTon(Double weightTon) {
        this.weightTon = weightTon;
    }

    public String getSupplyType() {
        return supplyType;
    }

    public void setSupplyType(String supplyType) {
        this.supplyType = supplyType;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
